body{
  font-family: 'Montserrat', sans-serif;
  font-optical-sizing: auto;
  font-weight: normal;
  font-style: normal;
  margin: 0;
  background-color: #000;
  color: #fff;
  overflow: hidden;
} 

.main{
  display: flex;
  height: 100vh;
  padding: 0.5rem;
}

.sidebar{
  background-color: black;
  height: 100%;
  width: 340px;
  margin-right: 0.5rem;
}

.navbar{
  background-color: #121212;
  border-radius: 0.5rem;
  height: 100px;
  text-decoration: none;
  display: flex;
  flex-direction: column;
  padding: 0.5rem 0.75rem;
  justify-content: center;
}

.nav-option a:active{
  opacity: 1;
}

.nav-option{
  line-height: 2.5rem;
  opacity: 0.7;
  margin-left: 0.7rem;
}
.nav-option:hover {
  opacity: 1;
}

.nav-option i{
  font-size: 1.25rem;
  cursor: pointer;
}
.nav-option a{
  font-size: 1rem;
  font-weight: 600;
  text-decoration: none;
  color: white;
  padding-left: 1rem;
}


.main-content{
  background-color: #151515;
  flex: 1;
  overflow: auto;
  padding: 0 0.5rem 0 0.5rem;
}

.music-player{
  display: flex;
  background-color: black;
  position: fixed;
  bottom: 0;
  width: 100%;
  height: 72px;
  margin-top: 5px;
  padding: 5px;
}

.library{
  background-color: #121212;
  height: 100vh;
  border-radius: 0.5rem;
  margin-top: 0.5rem;
  padding: 0.5rem 0.75rem;
}

.options{
  display: flex;
  justify-content: space-between;
}

.lib-option img{
  height: 1rem;
  width: 1rem;
  cursor: pointer;
}

.lib-option a{
  font-size: 1.1rem;
}

.icons{
  font-size: 1.25rem;
  display: flex;
}

.icons i{
  margin-right: 1rem;
  opacity: 0.7;
  cursor: pointer;
}

.icons i:hover{
  opacity: 1;
}

.box{
  height: 6.5rem;
  background-color: #232323;
  margin-top: 1.5rem;
  padding: 1rem;
  border-radius: 0.75rem;
}

.box-p1{
  font-size: 1rem;
  font-weight: 600;
  margin-top: 0px;
}

.box-p2{
  font-size: 0.8rem;
  opacity: 0.9;
}

.badge{
  background-color: #fff;
  border: none;
  border-radius: 100px;
  padding: 0.25rem 1rem;
  font-weight: 700;
  height: 2rem;
  cursor: pointer;
  transition: 0.3s;
}

.badge:hover{
  font-size: 0.9rem;
}

.sticky-navbar{
  position: sticky;
  top: 0;
  background-color: #171717;
  display: flex;
  justify-content: space-between;
  padding-top: 0.5rem;
  margin-top: 0.1rem;
  margin-left: 0.5rem;
  z-index: 1;
}

.sticky-navbar-icons{
  justify-content: space-around;
  margin-top: 0.5rem;
}

.sticky-navbar-icons img{
  background-color: #0e0e0e;
  padding: 0.5rem;
  margin: 0.1rem;
  height: 1.15rem;
  width: 1.15rem;
  border-radius: 50%;
}

.sticky-navbar-options{
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0.5rem;
}

.nav-item{
  margin-right: 1rem;
}


.user i{
  background-color: #141515;
  border-radius: 100%;
  padding: 12px;
  cursor: pointer;
  transition: 0.3s;
}

.user i:hover{
  width: 1rem;
}

@media (max-width:1000px) {
  .hide{
    display: none;
  }
}

.albums{
  margin-left: 10px;
}

.cards-container{
  display: flex;
  flex-wrap: wrap;
}

.card{
  display: inline-block;
  background-color: #191919;
  width: 9rem;
  margin: 0.1rem;
  margin-right: 0.5rem;
  padding: 1rem;
  border-radius: 0.5rem;
  cursor: pointer;
  transition: 0.5s;
}

.card:hover{
  width: 9.25rem;
  background-color: #212121;
  margin: 0.2rem;
  margin-right: 0.5rem;
}

.card-img{
  width: 100%;
  border-radius: 0.5rem;
}

.card-title{
  font-weight: 600;
}

.card-info{
  font-size: 0.8rem;
  opacity: 0.8;
}

h2{
  margin-left: 5px;
}

.footer{
  height: 200px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.line{
  position: relative;
  height: 40%;
  width: 97%;
  border-top: 1px solid white;
  opacity: 0.3;
  left: -0.5rem;
}


.player-controls{
  width: 40%;
  margin-left: 1rem;
  margin-right: 1rem;
  /* display: flex;
  flex-direction: column; */
  justify-content: space-between;
  align-items: center;
}


.control-icons{
  padding-top: 6px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.control-icons img{
  width: 1rem;
  height: 1rem;
  margin-right: 1.65rem;
  opacity: 0.75;
}

.control-icons img:hover{
  opacity: 1;
  cursor: pointer;
}

.playback-bar{
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: small;
}

.progress-bar{
  width: 80%;
  appearance: none;
  cursor: pointer;
  background-color: transparent;
}

.progress-bar::-webkit-slider-runnable-track{
  background-color: #ddd;
  border-radius: 100px;
  height: 0.2rem;
  margin-top: 0.6rem;
}

.progress-bar::-webkit-slider-thumb{
  appearance: none;
  height: 0.6rem;
  width: 0.6rem;
  background-color: #1bd760;
  border-radius: 50%;
  margin-top: -0.2rem;
}

.playback-bar span{
  opacity: 0.7;
  margin-top: 0.6rem;
}

.now-playing{
  width: 27%;
  height: 100%;
  margin: 0.25rem;
  display: flex;
  padding-top: 4px;
}

.now-playing img{
  height: 80%;
}

.now-playing img:hover{
  cursor: pointer;
}

.song-title{
  font-size: 14px;
  font-weight: 600;
}

.song-title:hover{
  text-decoration: underline;
  cursor: pointer;
}
.song-info{
  font-size: 12px;
  opacity: 0.75;
}

.song-info:hover{
  text-decoration: underline;
  opacity: 1;
  cursor: pointer;
}

.song-title,.song-info{
  padding-left: 0.7rem;
  padding-right: 0.8rem;
  position: relative;
  top: 1rem;
}

.now-playing i{
  position: relative;
  top: 1.3rem;
  margin-left: 2px;
  opacity: 0.75;
}

.now-playing i:hover{
  opacity: 1;
  cursor: pointer;
}

.other-controls{
  width: 24%;
  position: relative;
  margin: 5px;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  margin-left: 1rem;
  padding-left: 5rem;
}

.other-controls img{
  width: 1.5rem;
  height: auto;
  cursor: pointer;
  opacity: 0.75;
}

.other-controls img:hover{
  width: 1.7rem;
  opacity: 1;
}

.volume-bar{
  cursor: pointer;
  background-color: transparent;
  appearance: none;
  position: relative;
  left: -12px;
}

.volume-bar::-webkit-slider-runnable-track{
  width: 80px;
  height: 0.30rem;
  background-color: #ddd;
}

.volume-bar::-webkit-slider-thumb{
  appearance: none;
  height: 0.7rem;
  width: 0.7rem;
  background-color: #1bd760;
  border-radius: 50%;
  position: relative;
  top: -2px;
}
